{-# LANGUAGE OverloadedStrings #-}

module Main where

import PUBMED.Client
import Network.HTTP.Client (newManager)
import Network.HTTP.Client.TLS (tlsManagerSettings)
import Servant.Client (runClientM, mkClientEnv, BaseUrl(..), Scheme(..))


main :: IO ()
main = do
  manager' <- newManager tlsManagerSettings
  res <- runClientM
    (fetch (Just "pubmed") (Just "xml") ["31059770", ""])
    (mkClientEnv manager' $ BaseUrl Https "eutils.ncbi.nlm.nih.gov" 443 "entrez/eutils")
  case res of
    (Left err) -> print err
    (Right ok) -> print ok
